opensaml::SecurityPolicy::IssuerMatchingPolicy Class Reference

Allows override of rules for comparing saml2:Issuer information. More...

`#include <saml/binding/SecurityPolicy.h>`

## Public Member Functions

virtual bool | issuerMatches (const saml2::Issuer *issuer1, const saml2::Issuer *issuer2) const
| Returns true iff the two operands "match".
virtual bool | issuerMatches (const saml2::Issuer *issuer1, const XMLCh *issuer2) const
| Returns true iff the two operands "match".

## Detailed Description

Allows override of rules for comparing saml2:Issuer information.

## Member Function Documentation

## issuerMatches() [1/2]

virtual bool opensaml::SecurityPolicy::IssuerMatchingPolicy::issuerMatches | ( | const saml2::Issuer * | issuer1,
|  | const saml2::Issuer * | issuer2 ) const

virtual

Returns true iff the two operands "match".

Applications can override this method to support non-standard issuer matching for complex policies.

The default implementation does a basic comparison of the XML content, treating an unsupplied Format as an "entityID".

Parameters

  issuer1 | the first Issuer to match
  issuer2 | the second Issuer to match

Returns
  true iff the operands match

## issuerMatches() [2/2]

virtual bool opensaml::SecurityPolicy::IssuerMatchingPolicy::issuerMatches | ( | const saml2::Issuer * | issuer1,
|  | const XMLCh * | issuer2 ) const

virtual

Returns true iff the two operands "match".

Applications can override this method to support non-standard issuer matching for complex policies.

The default implementation does a basic comparison of the XML content, treating an unsupplied Format as an "entityID".

Parameters

  issuer1 | the first Issuer to match
  issuer2 | the second Issuer to match

Returns
  true iff the operands match

The documentation for this class was generated from the following file:

- saml/binding/SecurityPolicy.h